Package Description

A simple module that changes the D&D 5e system to accomodate Pugmire games.

Required Game Systems

  1. DnD5e Latest Version: Version 2.0.0-alpha2 Last Updated 4 months, 1 week ago

Tagged Categories

  1. Overhauls or Feature Suites

Available Versions

  1. Version 1.1

  2. Version 1.2